summaryrefslogtreecommitdiffstats
path: root/third_party/dnspython/tests/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/dnspython/tests/Makefile')
-rw-r--r--third_party/dnspython/tests/Makefile26
1 files changed, 26 insertions, 0 deletions
diff --git a/third_party/dnspython/tests/Makefile b/third_party/dnspython/tests/Makefile
new file mode 100644
index 0000000000..6ab444f451
--- /dev/null
+++ b/third_party/dnspython/tests/Makefile
@@ -0,0 +1,26 @@
+# Copyright (C) 2003-2007, 2009-2011 Nominum, Inc.
+#
+# Permission to use, copy, modify, and distribute this software and its
+# documentation for any purpose with or without fee is hereby granted,
+# provided that the above copyright notice and this permission notice
+# appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND NOMINUM DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL NOMINUM BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
+# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+# $Id: Makefile,v 1.5 2004/03/19 00:17:27 halley Exp $
+
+PYTHON=python
+
+check: test
+
+test:
+ @for i in *.py; do \
+ echo "Running $$i:"; \
+ ${PYTHON} $$i || exit 1; \
+ done